Skip to main content
GET
/
robots
/
{robotId}
/
cameraImages
List camera images for a camera and time range
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/cameraImages \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "data": [
    [
      {
        "ts": 123,
        "url": "<unknown>"
      }
    ]
  ],
  "pagination": {
    "limit": 123,
    "page": 123,
    "hasMorePages": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Query Parameters

cameraId
string
required

The camera id (not to be confused with the camera topic). It can be obtained from the robot's camera configuration using the Config API or the InOrbit CLI (inorbit get config --kind RobotCamera).

startTs
string
required

The start timestamp

endTs
string
required

The end timestamp

limit
integer

Elements per page

page
integer

Page number

Response

Camera images

data
object[][]
pagination
object